import { FC, ReactNode } from 'react';
import { ImageLoadEventData, ImageProps, ImageStyle, ImageURISource, NativeSyntheticEvent } from 'react-native';
export interface GifImageProps extends Omit<ImageProps, 'onLoadEnd' | 'fadeDuration'> {
    source: ImageURISource;
    resizeMode: 'cover' | 'contain';
    paused?: boolean;
    style?: ImageStyle;
    placeholderUrl?: string;
    onLoadEnd?: (e?: NativeSyntheticEvent<ImageLoadEventData>) => void;
    useCPU?: boolean;
    fadeIn?: boolean;
    fadeInDuration?: number;
    quality?: number;
    showLoadingIndicator?: boolean;
    children?: ReactNode;
}
declare const GifImage: FC<GifImageProps>;
export default GifImage;
